#! /usr/bin/env python

from distutils.core import setup, Extension
import distutils.sysconfig
import os, sys

try:

    from Pyrex.Distutils import build_ext

except ImportError:

    print "Pyrex cannot be found."
    sys.exit()

setup(
    name="qimage",
    description="Utility function for QImage objects.",
    author="David Boddie",
    author_email="david@boddie.org.uk",
    url="http://www.boddie.org.uk/david/",
    version="0.01",
    py_modules=[],
    ext_modules=[
        Extension(
            "qimage", ["qimage.cpp"],
            include_dirs = [os.path.join(os.getenv("QTDIR"), "include")],
            library_dirs = [
                os.path.join(os.getenv("QTDIR"), "lib"),
                os.path.join(
                    distutils.sysconfig.get_config_var("LIBDEST"),
                    "site-packages"
                    )
                ],
            libraries = ["qt-mt", "sip", "qtcmodule"]
            )
        ],
    cmdclass = {'build_ext': build_ext},
    scripts=["main.py"]
    )
